Namespace PCSolution

	Public Class PageZpravy

		''' <summary>
		''' Zobrazit vsechny systemove zpravy
		''' </summary>
		Sub Zobrazit(ph As PlaceHolder)

			Dim s As String = ""

			'# Kontejner okna - zahlavi
			s &= "<div class=""container form"">"
			s &= "<div class=""row"">"
			s &= "<div class=""col-xs-12 form-title"">"
			s &= "Zprávy"
			s &= "</div>"
			s &= "</div>"
			ph.Controls.Add(New LiteralControl(s)) : s = ""
			'@

			Dim DSZpravy As DataTable = DB.ExecuteSelectCommand("SELECT * FROM [nastaveni].[zpravy] WHERE typ <> 2 ORDER BY datum DESC")
			Dim DSZpravyObjednavky As DataTable = DB.ExecuteSelectCommand("SELECT stav, odkaz FROM [nastaveni].[zpravy] WHERE typ = 2")

			Dim iPocetZprav As Int16 = 0
			iPocetZprav = DSZpravy.Rows.Count
			If DSZpravyObjednavky.Rows.Count > 0 Then
				If DSZpravyObjednavky.Rows(0)("stav") > 0 Then
					iPocetZprav += 1
				End If
			End If

			If iPocetZprav > 0 Then
				s &= "<div class=""row"">"
				s &= "<div class=""col-xs-12"">"
				s &= "<table class=""table table-striped"">"
			End If

			'# Pocet objednavek v eshopu
			If DSZpravyObjednavky.Rows.Count > 0 Then
				If DSZpravyObjednavky.Rows(0)("stav") > 0 Then
					s &= "<tr>"
					s &= "<td class=""text-center""><a href=""/" & DSZpravyObjednavky.Rows(0)("odkaz") & """>Počet nových objednávek: " &
						DSZpravyObjednavky(0)("stav") & "</a></td></tr>"
				End If
			End If
			'@

			'# Seznam zprav
			For Each cZprava As DataRow In DSZpravy.Rows
				s &= "<tr><td>"
				If cZprava("popis") <> "" Then
					s &= "<strong>" & cZprava("nadpis") & "</strong><br/>" & cZprava("popis")
				Else
					s &= cZprava("nadpis")
				End If
				If cZprava("odkaz") <> "" Then
					s &= "<br/><a href=""" & cZprava("odkaz") & """>Zobrazit více informací</a>"
				End If
				s &= "</td></tr>"
			Next
			'@

			If iPocetZprav > 0 Then
				s &= "</table>"
				s &= "</div></div>"
			End If

			If iPocetZprav = 0 Then
				ph.Controls.Add(New LiteralControl("<div class=""noitem"">Není nalezena žádná zpráva.</div>"))
			End If

			'# Kontejner okna - zapati
			s &= "<div class=""row"">"
			s &= "<div class=""col-xs-12 form-footer"">"
			s &= "</div>"
			s &= "</div>"
			s &= "</div>"
			ph.Controls.Add(New LiteralControl(s)) : s = ""
			'@

			'# Po zobrazeni teto stranky oznacit vsechny zpravy jako prectene
			DB.ExecuteCommand("UPDATE [nastaveni].[zpravy] SET stav = 1")
			DB.ExecuteCommand("UPDATE [nastaveni].[zpravy] SET stav = 0 WHERE typ = 2") 'Pocet novych objednavek je 0
			'@

		End Sub

	End Class

End Namespace
